
From: Vladimir Saveliev <vs@namesys.com>

PG_arch_1 was old debugging code. It is to be removed. The patch for
that is attached.

Please also apply another attached small bug fix.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/page_cache.c                  |    6 ++++--
 25-akpm/fs/reiser4/plugin/item/extent_file_ops.c |    4 +++-
 25-akpm/fs/reiser4/txnmgr.c                      |    6 +-----
 3 files changed, 8 insertions(+), 8 deletions(-)

diff -puN fs/reiser4/page_cache.c~reiser4-cleanup-pg_arch_1 fs/reiser4/page_cache.c
--- 25/fs/reiser4/page_cache.c~reiser4-cleanup-pg_arch_1	2005-03-02 08:39:19.000000000 -0800
+++ 25-akpm/fs/reiser4/page_cache.c	2005-03-02 08:39:20.000000000 -0800
@@ -743,18 +743,20 @@ print_page(const char *prefix, struct pa
 	}
 	printk("%s: page index: %lu mapping: %p count: %i private: %lx\n",
 	       prefix, page->index, page->mapping, page_count(page), page->private);
-	printk("\tflags: %s%s%s%s %s%s%s %s%s%s%s %s%s%s\n",
+	printk("\tflags: %s%s%s%s %s%s%s %s%s%s %s%s%s\n",
 	       page_flag_name(page, PG_locked),
 	       page_flag_name(page, PG_error),
 	       page_flag_name(page, PG_referenced),
 	       page_flag_name(page, PG_uptodate),
+
 	       page_flag_name(page, PG_dirty),
 	       page_flag_name(page, PG_lru),
 	       page_flag_name(page, PG_slab),
+
 	       page_flag_name(page, PG_highmem),
 	       page_flag_name(page, PG_checked),
-	       page_flag_name(page, PG_arch_1),
 	       page_flag_name(page, PG_reserved),
+
 	       page_flag_name(page, PG_private), page_flag_name(page, PG_writeback), page_flag_name(page, PG_nosave));
 	if (jprivate(page) != NULL) {
 		print_jnode("\tpage jnode", jprivate(page));
diff -puN fs/reiser4/plugin/item/extent_file_ops.c~reiser4-cleanup-pg_arch_1 fs/reiser4/plugin/item/extent_file_ops.c
--- 25/fs/reiser4/plugin/item/extent_file_ops.c~reiser4-cleanup-pg_arch_1	2005-03-02 08:39:19.000000000 -0800
+++ 25-akpm/fs/reiser4/plugin/item/extent_file_ops.c	2005-03-02 08:39:20.000000000 -0800
@@ -799,8 +799,10 @@ extent_write_flow(struct inode *inode, f
 		   to dirty list */
 		LOCK_JNODE(j);
 		result = try_capture(j, ZNODE_WRITE_LOCK, 0, 1/* can_coc */);
-		if (result)
+		if (result) {
+			UNLOCK_JNODE(j);
 			goto exit2;
+		}
 		jnode_make_dirty_locked(j);
 		UNLOCK_JNODE(j);
 
diff -puN fs/reiser4/txnmgr.c~reiser4-cleanup-pg_arch_1 fs/reiser4/txnmgr.c
--- 25/fs/reiser4/txnmgr.c~reiser4-cleanup-pg_arch_1	2005-03-02 08:39:19.000000000 -0800
+++ 25-akpm/fs/reiser4/txnmgr.c	2005-03-02 08:39:20.000000000 -0800
@@ -1507,11 +1507,8 @@ invalidate_list(capture_list_head * head
 		atom = node->atom;
 		LOCK_ATOM(atom);
 		LOCK_JNODE(node);
-		if (JF_ISSET(node, JNODE_CC) && node->pg) {
-			/* corresponding page_cache_get is in swap_jnode_pages */
-			assert("vs-1448", test_and_clear_bit(PG_arch_1, &node->pg->flags));
+		if (JF_ISSET(node, JNODE_CC) && node->pg)
 			page_cache_release(node->pg);
-		}
 		uncapture_block(node);
 		UNLOCK_ATOM(atom);
 		JF_CLR(node, JNODE_SCANNED);
@@ -3578,7 +3575,6 @@ swap_jnode_pages(jnode *node, jnode *cop
 		assert("vs-1416", radix_tree_lookup(&mapping->page_tree, index) == NULL);
 		check_me("vs-1418", radix_tree_insert(&mapping->page_tree, index, copy->pg) == 0);
 		___add_to_page_cache(copy->pg, mapping, index);
-		ON_DEBUG(set_bit(PG_arch_1, &(copy->pg)->flags));
 
 		/* corresponding page_cache_release is in invalidate_list */
 		page_cache_get(copy->pg);
_
